PosixSignalHandler(3)

NAME
PosixSignalHandler -

Gets a method called when the corresponding signal is received.

SYNOPSIS

#include <PosixSignalHandler.h>

  Public Member Functions

virtual void HandlePosixSignal (int signalNumber)=0
This method is called when the specified POSIX signal is received by the PosixSignalDispatcher that is managing this handler.
virtual ~PosixSignalHandler ()=0
Destructor is declared virtual as we expect this class to be subclassed.

Detailed Description

Gets a method called when the corresponding signal is received.

A PosixSignalHandler must be connected to the PosixSignalDispatcher for it to be called.

Definition at line 9 of file PosixSignalHandler.h.

Constructor & Destructor Documentation

  PosixSignalHandler::~PosixSignalHandler () [inline], [pure virtual]

Destructor is declared virtual as we expect this class to be subclassed. It is also declared pure abstract to make this class a pure abstract class.

Definition at line 28 of file PosixSignalHandler.h.

Member Function Documentation

  virtual void PosixSignalHandler::HandlePosixSignal (intsignalNumber) [pure virtual]

This method is called when the specified POSIX signal is received by the PosixSignalDispatcher that is managing this handler.

Author

Generated automatically by Doxygen for libserial from the source code.